All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services
Class ServiceConfigDocument

    com.sas.services.ServiceConfigDocument

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public final class ServiceConfigDocument

Service configuration XML document.

Since:
  9.2

Constructor Summary
`ServiceConfigDocument(java.lang.String configName, org.w3c.dom.Document document)` Constructs a service configuration which is represented by a name and its associated XML document.

Method Summary
`java.lang.String` | `getConfigName()` Gets the configuration's name.
`org.w3c.dom.Document` | `getDocument()` Gets the configuration's XML document.
`void` | `setConfigName(java.lang.String configName)` Specifies the configuration's name.

Constructor Detail

### ServiceConfigDocument

    public ServiceConfigDocument(java.lang.String configName,
                                 org.w3c.dom.Document document)

  Constructs a service configuration which is represented by a name and its associated XML document.

  Parameters:
    `configName` - Configuration's name.
    `document` - Service configuration XML.

Method Detail

### getConfigName

    public java.lang.String getConfigName()

  Gets the configuration's name.

  Returns:
    Configuration's name.

### getDocument

    public org.w3c.dom.Document getDocument()

  Gets the configuration's XML document.

  Returns:
    Configuration's XML document or `null` if there is no configuration.

### setConfigName

    public void setConfigName(java.lang.String configName)

  Specifies the configuration's name.

  Parameters:
    `configName` - Configuration's name.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.